%define oname   after_commit

Name:       ruby-%{oname}
Version:    1.0.8
Release:    %mkrel 1
Summary:    After_commit callback for ActiveRecord
License:    GPLv2+ or Ruby License
Group:      Development/Ruby
URL:        http://github.com/freelancing-god/after_commit
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: rubygem(activerecord)
BuildRequires: rubygem(sqlite3)
Requires:   ruby(abi) = 1.8
BuildArch:  noarch

%description
A Ruby on Rails plugin to add an after_commit callback. This can be used
to trigger methods only after the entire transaction is complete.

%files
%defattr(-, root, root, -)
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/LICENSE
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README.textile
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

%check
testrb -I"lib:test" test/*_test.rb

%clean
rm -rf %{buildroot}



%changelog
* Sun Feb 13 2011 shikamaru <shikamaru> 1.0.8-1.mga1
+ Revision: 51428
- add activerecord in BR
- imported package ruby-after_commit


* Sun Feb 13 2011 Rémy Clouard <shikamaru@mandriva.org> - 1.0.8-1
- Initial package
